/**
 * This Source Code Form is subject to the terms of the Mozilla Public
 * License, v. 2.0. If a copy of the MPL was not distributed with this
 * file, You can obtain one at http://mozilla.org/MPL/2.0/.
 *
 * Copyright (C) 2013, 2014 Department of Informatics and
 * Telecommunications, National and Kapodistrian University of Athens
 *
 *  Created on: Apr 25, 2014
 *      Author: Charalampos Nikolaou <charnik@di.uoa.gr>
 */
#ifndef NETWORKFILEFORMATWRITER_H_
#define NETWORKFILEFORMATWRITER_H_

#include <sstream>
#include "PartGraph.h"
#include "netviz_format.h"

class NetworkFileFormatWriter {
public:
	NetworkFileFormatWriter() { }

	virtual std::string get_extension() = 0;
	virtual void write(const std::string &network_name, const PartGraph *pgraph) = 0;

	std::string get_graph_name(const std::string &network_name, const PartGraph *pgraph) {
		std::stringstream strm;

		strm << network_name << "-" << pgraph->get_name() << "-" << pgraph->size();

		return strm.str();

	}

	std::string get_filename(const std::string &network_name, const PartGraph *pgraph) {
		std::stringstream strm;

		strm << get_graph_name(network_name, pgraph) << "." << get_extension();

		return strm.str();
	}

	virtual ~NetworkFileFormatWriter() { }
};

#endif /* NETWORKFILEFORMATWRITER_H_ */
