/**
 * This Source Code Form is subject to the terms of the Mozilla Public
 * License, v. 2.0. If a copy of the MPL was not distributed with this
 * file, You can obtain one at http://mozilla.org/MPL/2.0/.
 *
 * Copyright (C) 2013, 2014 Department of Informatics and
 * Telecommunications, National and Kapodistrian University of Athens
 *
 *  Created on: Apr 25, 2014
 *      Author: Charalampos Nikolaou <charnik@di.uoa.gr>
 */
#ifndef NETWORKFILEFORMATWRITERFACTORY_H_
#define NETWORKFILEFORMATWRITERFACTORY_H_

#include "SIFFormatWriter.h"
#include "GMLFormatWriter.h"
#include "XGMMLFormatWriter.h"

class NetworkFileFormatWriterFactory {
public:
	NetworkFileFormatWriterFactory();

	static NetworkFileFormatWriter *create_writer(netviz_frmt format) {
		switch (format) {
			case SIF:
				return new SIFFormatWriter();
				break;
			case GML:
				return new GMLFormatWriter();
				break;
			case XGMML:
				return new XGMMLFormatWriter();
				break;
			default:
				return new GMLFormatWriter();
			}
	}

	virtual ~NetworkFileFormatWriterFactory();
};

#endif /* NETWORKFILEFORMATWRITERFACTORY_H_ */
