/**
 * This Source Code Form is subject to the terms of the Mozilla Public
 * License, v. 2.0. If a copy of the MPL was not distributed with this
 * file, You can obtain one at http://mozilla.org/MPL/2.0/.
 *
 * Copyright (C) 2013, 2014 Department of Informatics and
 * Telecommunications, National and Kapodistrian University of Athens
 *
 *  Created on: Apr 25, 2014
 *      Author: Charalampos Nikolaou <charnik@di.uoa.gr>
 */
#include "netviz_format.h"

netviz_frmt create_netviz_format(std::string &name) {

	if (name == SIF_NAME) {
		return SIF;

	} else if (name == GML_NAME) {
		return GML;

	} else if (name == XGMML_NAME) {
		return XGMML;

	}

	return NETVIZ_FRMT_END;
}

/**
 * Overload of operator>> for reading a netviz_frmt enumeration type.
 *
 * @param in
 * @param unit
 * @return
 */
std::istream& operator>>(std::istream& in, netviz_frmt& format) {
    std::string token;

    in >> token;

    if (token == SIF_NAME) {
    	format = SIF;

    } else if (token == GML_NAME) {
    	format = GML;

    } else if (token == XGMML_NAME) {
    	format = XGMML;

    } else {
    	format = NETVIZ_FRMT_END;
    }

    return in;
}
