/**
 * This Source Code Form is subject to the terms of the Mozilla Public
 * License, v. 2.0. If a copy of the MPL was not distributed with this
 * file, You can obtain one at http://mozilla.org/MPL/2.0/.
 *
 * Copyright (C) 2013, 2014 Department of Informatics and
 * Telecommunications, National and Kapodistrian University of Athens
 *
 *  Created on: Apr 25, 2014
 *      Author: Charalampos Nikolaou <charnik@di.uoa.gr>
 */
#ifndef NETVIZ_FORMAT_H_
#define NETVIZ_FORMAT_H_

#include <iostream>

#define SIF_NAME 	"sif"
#define GML_NAME 	"gml"
#define XGMML_NAME "xgmml"

enum netviz_frmt {NETVIZ_FRMT_BEGIN, SIF = NETVIZ_FRMT_BEGIN, GML, XGMML, NETVIZ_FRMT_END};

/**
 * Checks whether a network visualization format value is a valid one.
 *
 * @param format the file format
 * @return true in case it is valid, false otherwise
 */
inline bool valid_netviz_format(const netviz_frmt& format) {
	return (format >= NETVIZ_FRMT_BEGIN && format < NETVIZ_FRMT_END);
}

netviz_frmt create_netviz_format(std::string &name);
std::istream& operator>>(std::istream& in, netviz_frmt& format);

#endif /* NETVIZ_FORMAT_H_ */
